Board index FlightGear Support Compiling

FGRUN download and compile failure  Topic is solved

Building FlightGear from source, and in the need for help?

FGRUN download and compile failure  

Postby wlbragg » Mon Sep 21, 2015 10:59 pm

Using the directions at http://wiki.flightgear.org/Scripted_Compilation_on_Linux_Debian/Ubuntu, FGRUN failed to compile.

Code: Select all
wayne@LivingRoomDebian:~/FlightGear/next$ ../download_and_compile.sh FGRUN
**************************************
*                                    *
* Warning, the compilation process   *
* is going to use 12 or more Gbytes  *
* of space and at least a couple of  *
* hours to download and build FG.    *
*                                    *
* Please, be patient ......          *
*                                    *
**************************************
Asking password for apt-get operations...
[sudo] password for wayne:
Ign http://ftp.us.debian.org jessie InRelease
Get:1 http://ftp.us.debian.org jessie-updates InRelease [142 kB]             
Ign http://http.debian.net jessie InRelease                                   
Get:2 http://security.debian.org jessie/updates InRelease [63.1 kB]           
Hit http://ftp.us.debian.org jessie Release.gpg                               
Hit http://ftp.us.debian.org jessie Release                                   
Hit http://http.debian.net jessie Release.gpg                                 
Get:3 http://ftp.us.debian.org jessie-updates/main Sources [2,296 B]         
Get:4 http://ftp.us.debian.org jessie-updates/main amd64 Packages/DiffIndex [643 B]
Hit http://http.debian.net jessie Release                                     
Get:5 http://ftp.us.debian.org jessie-updates/main Translation-en/DiffIndex [229 B]
Hit http://ftp.us.debian.org jessie/main Sources                             
Hit http://ftp.us.debian.org jessie/main amd64 Packages                       
Hit http://ftp.us.debian.org jessie/main Translation-en                       
Get:6 http://security.debian.org jessie/updates/main Sources [88.0 kB]       
Hit http://http.debian.net jessie/main amd64 Packages                 
Hit http://http.debian.net jessie/contrib amd64 Packages               
Hit http://http.debian.net jessie/non-free amd64 Packages                     
Get:7 http://security.debian.org jessie/updates/main amd64 Packages [139 kB] 
Hit http://http.debian.net jessie/contrib Translation-en                     
Hit http://http.debian.net jessie/main Translation-en                         
Hit http://http.debian.net jessie/non-free Translation-en                 
Get:8 http://security.debian.org jessie/updates/main Translation-en [76.8 kB]
Fetched 512 kB in 8s (57.8 kB/s)                                             
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libboost-dev is already the newest version.
build-essential is already the newest version.
libbz2-dev is already the newest version.
libcgal-dev is already the newest version.
cmake is already the newest version.
libdbus-1-dev is already the newest version.
fluid is already the newest version.
libfltk1.3-dev is already the newest version.
freeglut3-dev is already the newest version.
libgdal-dev is already the newest version.
git is already the newest version.
libjpeg-dev is already the newest version.
libpng12-dev is already the newest version.
libxi-dev is already the newest version.
libxinerama-dev is already the newest version.
libxmu-dev is already the newest version.
libopenal-dev is already the newest version.
libopenscenegraph-dev is already the newest version.
libplib-dev is already the newest version.
python3-pyqt5 is already the newest version.
python3-pyqt5.qtmultimedia is already the newest version.
python-tk is already the newest version.
libqt4-dev is already the newest version.
qt5-default is already the newest version.
libqt5multimedia5-plugins is already the newest version.
libudev-dev is already the newest version.
libtiff5-dev is already the newest version.
libxft-dev is already the newest version.
zlib1g-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
****************************************
**************** FGRUN *****************
****************************************
git://git.code.sf.net/p/flightgear/fgrun exists already
Already on 'next'
Your branch is up-to-date with 'origin/next'.
Current branch next is up to date.
-- version is 3 dot 7
-- ignoring: \\.svn;Makefile.am;~$;
-- Boost version: 1.55.0
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8")
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so 
-- Found FLTK: fltk_images;fltk_forms;fltk_gl;/usr/lib/x86_64-linux-gnu/libGL.so;fltk 
-- Found osgText: /usr/lib/x86_64-linux-gnu/libosgText.so 
-- Found osgDB: /usr/lib/x86_64-linux-gnu/libosgDB.so 
-- Found osgParticle: /usr/lib/x86_64-linux-gnu/libosgParticle.so 
-- Found osgUtil: /usr/lib/x86_64-linux-gnu/libosgUtil.so 
-- Found osgViewer: /usr/lib/x86_64-linux-gnu/libosgViewer.so 
-- Found osgGA: /usr/lib/x86_64-linux-gnu/libosgGA.so 
-- Found osg: /usr/lib/x86_64-linux-gnu/libosg.so 
-- Found OpenThreads: /usr/lib/x86_64-linux-gnu/libOpenThreads.so 
-- Found OpenSceneGraph: /usr/lib/x86_64-linux-gnu/libosgText.so;/usr/lib/x86_64-linux-gnu/libosgDB.so;/usr/lib/x86_64-linux-gnu/libosgParticle.so;/usr/lib/x86_64-linux-gnu/libosgUtil.so;/usr/lib/x86_64-linux-gnu/libosgViewer.so;/usr/lib/x86_64-linux-gnu/libosgGA.so;/usr/lib/x86_64-linux-gnu/libosg.so;/usr/lib/x86_64-linux-gnu/libOpenThreads.so (found suitable version "3.2.1", minimum required is "2.8.1")
-- SimGear include directory: /home/wayne/FlightGear/next/install/simgear/include
-- found SimGear version: 3.7.0 (needed 3.7.0)
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
-- looking for static SimGear libraries
-- Looking for clock_gettime in rt
-- Looking for clock_gettime in rt - found
-- found SimGear libraries
-- Performing Test SIMGEAR_COMPILE_TEST
-- Performing Test SIMGEAR_COMPILE_TEST - Success
-- Found SimGear: optimized;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearScene.a;debug;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearScene.a;optimized;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearCore.a;debug;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearCore.a;optimized;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearCore.a;debug;/home/wayne/FlightGear/next/install/simgear/lib/libSimGearCore.a (Required is at least version "3.7.0")
-- Could NOT find Gettext (missing:  GETTEXT_MSGMERGE_EXECUTABLE GETTEXT_MSGFMT_EXECUTABLE)
-- Looking for unistd.h
-- Looking for unistd.h - found
-- Looking for stdlib.h
-- Looking for stdlib.h - found
-- Looking for sys/wait.h
-- Looking for sys/wait.h - found
-- Looking for termios.h
-- Looking for termios.h - found
-- Looking for pty.h
-- Looking for pty.h - found
-- Looking for utmp.h
-- Looking for utmp.h - found
-- Looking for fcntl.h
-- Looking for fcntl.h - found
-- Looking for string.h
-- Looking for string.h - found
-- Looking for openpty
-- Looking for openpty - not found
-- Looking for openpty
-- Looking for openpty - found
-- Looking for login_tty
-- Looking for login_tty - found
-- Looking for _getpty
-- Looking for _getpty - not found
-- Found X11_Xinerama...
-- Found X11_Xft...
-- Using FLTK_LIBRARIES for fgrun: fltk_images;fltk_forms;fltk_gl;/usr/lib/x86_64-linux-gnu/libGL.so;fltk;/usr/lib/x86_64-linux-gnu/libSM.so;/usr/lib/x86_64-linux-gnu/libICE.so;/usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libm.so;/usr/lib/x86_64-linux-gnu/libXinerama.so;/usr/lib/x86_64-linux-gnu/libXft.so;dl
-- Performing Test HAVE_FLTK_1_3
-- Performing Test HAVE_FLTK_1_3 - Success
-- Configuring done
-- Generating done
-- Build files have been written to: /home/wayne/FlightGear/next/build/fgrun
[  9%] Built target Advanced
[ 18%] Built target Wizard
Linking CXX executable fgrun
[ 71%] Built target fgrun
[ 75%] Generating de.gmo
/bin/sh: 1: GETTEXT_MSGMERGE_EXECUTABLE-NOTFOUND: not found
po/CMakeFiles/translations_1.dir/build.make:60: recipe for target 'po/de.gmo' failed
make[2]: *** [po/de.gmo] Error 127
CMakeFiles/Makefile2:241: recipe for target 'po/CMakeFiles/translations_1.dir/all' failed
make[1]: *** [po/CMakeFiles/translations_1.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
[  9%] Built target Advanced
[ 18%] Built target Wizard
[ 71%] Built target fgrun
[ 75%] Generating de.gmo
/bin/sh: 1: GETTEXT_MSGMERGE_EXECUTABLE-NOTFOUND: not found
po/CMakeFiles/translations_1.dir/build.make:60: recipe for target 'po/de.gmo' failed
make[2]: *** [po/de.gmo] Error 127
CMakeFiles/Makefile2:241: recipe for target 'po/CMakeFiles/translations_1.dir/all' failed
make[1]: *** [po/CMakeFiles/translations_1.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2

download_and_compile.sh has finished to work
wayne@LivingRoomDebian:~/FlightGear/next$


Whoever managed the d&c script may want to add a check for the gettext dependency installation to the script.
Kansas(2-27-15)/Ohio/Midwest scenery development.
KEQA (2-27-15), 3AU, KRCP Airport Layout
Intel i5 3570K AMDRX480
User avatar
wlbragg
 
Posts: 5765
Joined: Sat Aug 25, 2012 11:31 pm
Location: Kansas (Tornado Alley), USA
Callsign: WC2020
Version: next
OS: Win10/Linux/AMDRX480

Re: FGRUN download and compile failure

Postby hamzaalloush » Mon Sep 21, 2015 11:43 pm

Please file a bug report or a merge request, I don't remember I had this trouble compiling FGRUN on Ubuntu 14.04, i think Clement was the last person to actively maintain d&c.
hamzaalloush
 
Posts: 632
Joined: Sat Oct 26, 2013 9:31 am
OS: Windows 10

Re: FGRUN download and compile failure

Postby wkitty42 » Tue Sep 22, 2015 3:31 pm

d&c is maintained in the FGMeta repo on SF... OpenSceneGraph capability has been added since May 2015... i don't recall who is handling it now, though...

as for gettext and ubuntu 14.04, i don't recall any problems when i first found the d&c linked in the wiki and started with that... that was back after 3.4 was released... i did let it do the apt-get stuff one time but i think i had already gotten it compiled... i haven't let it do the apt-get stuff since but am going to have to, i think, since i'm now starting with a new 'next' directory while trying to track something else down...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6643
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: FGRUN download and compile failure

Postby wlbragg » Tue Sep 22, 2015 4:20 pm

Ubuntu may default get that lib, Debian (small footprint version) apparently doesn't.
Kansas(2-27-15)/Ohio/Midwest scenery development.
KEQA (2-27-15), 3AU, KRCP Airport Layout
Intel i5 3570K AMDRX480
User avatar
wlbragg
 
Posts: 5765
Joined: Sat Aug 25, 2012 11:31 pm
Location: Kansas (Tornado Alley), USA
Callsign: WC2020
Version: next
OS: Win10/Linux/AMDRX480

Re: FGRUN download and compile failure

Postby hamzaalloush » Tue Sep 22, 2015 5:07 pm

wkitty42 wrote in Tue Sep 22, 2015 3:31 pm:d&c is maintained in the FGMeta repo on SF... OpenSceneGraph capability has been added since May 2015... i don't recall who is handling it now, though...


to be honest, no one seems to care about d&c now, now that clement(f-jjth) has retired. supposedly the CMake superbuild is the new multi platform alternative.

as gettext comes with one debian-based OS, but not others, then it makes sense sense to include it as a dependency.

for example, here are the pre-installed packages that comes with Ubuntu 14.04 Trusty: http://releases.ubuntu.com/14.04/ubuntu-14.04.3-desktop-amd64.manifest , you can find gettext there.

OpenSceneGraph capability was added as a merge request by me, it's optional, in the case you choose to compile it, it let's you build an OSG version to your liking(patched/upgraded), and skips the installed system-wide libopenscenegraph-dev package.
hamzaalloush
 
Posts: 632
Joined: Sat Oct 26, 2013 9:31 am
OS: Windows 10

Re: FGRUN download and compile failure

Postby wlbragg » Tue Sep 22, 2015 5:53 pm

hamzaalloush wrote in Tue Sep 22, 2015 5:07 pm:to be honest, no one seems to care about d&c now, now that clement(f-jjth) has retired. supposedly the CMake superbuild is the new multi platform alternative.

CMake superbuild seems really cumbersome to me. Maybe because I don't understand it very well.

I guess I'd better take another look at it.

Since when did clement retire? That's too bad, he contributed constantly to the project and will be missed.
Kansas(2-27-15)/Ohio/Midwest scenery development.
KEQA (2-27-15), 3AU, KRCP Airport Layout
Intel i5 3570K AMDRX480
User avatar
wlbragg
 
Posts: 5765
Joined: Sat Aug 25, 2012 11:31 pm
Location: Kansas (Tornado Alley), USA
Callsign: WC2020
Version: next
OS: Win10/Linux/AMDRX480

Re: FGRUN download and compile failure

Postby wkitty42 » Tue Sep 22, 2015 6:40 pm

hamzaalloush wrote in Tue Sep 22, 2015 5:07 pm:
wkitty42 wrote in Tue Sep 22, 2015 3:31 pm:d&c is maintained in the FGMeta repo on SF... OpenSceneGraph capability has been added since May 2015... i don't recall who is handling it now, though...


to be honest, no one seems to care about d&c now, now that clement(f-jjth) has retired. supposedly the CMake superbuild is the new multi platform alternative.

yeah, i've seen this "superbuild" thing mentioned several times before but have no clue about it aside from that it exists...

hamzaalloush wrote in Tue Sep 22, 2015 5:07 pm:as gettext comes with one debian-based OS, but not others, then it makes sense sense to include it as a dependency.

for example, here are the pre-installed packages that comes with Ubuntu 14.04 Trusty: http://releases.ubuntu.com/14.04/ubuntu-14.04.3-desktop-amd64.manifest , you can find gettext there.

ahhh... i didn't realize that it came default on some and not on others...

hamzaalloush wrote in Tue Sep 22, 2015 5:07 pm:OpenSceneGraph capability was added as a merge request by me, it's optional, in the case you choose to compile it, it let's you build an OSG version to your liking(patched/upgraded), and skips the installed system-wide libopenscenegraph-dev package.

i remember you working on it and asking for the addition... i guess i've been using the system OSG package in the past but now i may take a look and see how the distributed one works... but first i've gotta get by the simgear failure to compile problem :?
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 6643
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5


Return to Compiling

Who is online

Users browsing this forum: No registered users and 2 guests